package kr.co.vividnext.sodalive.audio_content.main.v2.series

import kr.co.vividnext.sodalive.audio_content.AudioContentApi

class AudioContentMainTabSeriesRepository(private val api: AudioContentApi) {
    fun getContentMainSeries(token: String) = api.getContentMainSeries(authHeader = token)
    fun getRecommendSeriesListByGenre(
        genreId: Long,
        token: String
    ) = api.getRecommendSeriesListByGenre(genreId, authHeader = token)

    fun getRecommendSeriesByCreator(
        creatorId: Long,
        token: String
    ) = api.getRecommendSeriesByCreator(creatorId, authHeader = token)
}
